#!/bin/sh
# hacked up by Tim Riker <Tim@Rikers.org>
# start with a "format for printing" version from lds.org
# as in https://secure.lds.org/units/a/directory/print/1,8609,605-1-7-99236,00.html
#cat raw-wardlist.html |
 tr '\n' ' ' |
 sed -e 's|&nbsp;&nbsp;&nbsp;|\&nbsp;|g' |
 sed -e 's| class="[^"]*"||g' \
     -e 's| width="[^"]*"||g' \
     -e 's| valign="[^"]*"||g' \
     -e 's| align="[^"]*"||g' \
     -e 's| bgcolor="[^"]*"||g' \
     -e 's| topmargin="[^"]*"||g' \
     -e 's| bottommargin="[^"]*"||g' \
     -e 's| leftmargin="[^"]*"||g' \
     -e 's| rightmargin="[^"]*"||g' \
     -e 's| marginheight="[^"]*"||g' \
     -e 's| marginwidth="[^"]*"||g' \
     -e 's| onload="[^"]*"||g' \
     -e 's|<meta name=[^>]*>||g' \
     -e 's|<meta http-equiv="Expires"[^>]*>||g' \
     -e 's|<img [^>]*>||g' \
     -e 's|<link [^>]*>||g' \
     -e 's|<tr><td></td></tr>||g' |
 sed -e 's|<hr size="[^"]*">|<hr>|g' |
 sed -e 's|</script>|&\
|g' |
 sed -e 's|<script.*</script>||' |
 tr '\n' ' ' |
 sed -e 's|^[	 ]*||g' |
 sed -e 's|[	 ]*<|<|g' |
 sed -e 's|>[	 ]*|>|g' |
 sed -e 's|[	 ][	 ]*| |g' |
 sed -e 's|<style.*</style>||' |
 sed -e 's|<!--[^-]*-->||g' |
 sed -e 's|<tr><td[^>]*><b>For Church use only</b><hr></td></tr>||g' |
 sed -e 's|</tr>|&\
|g' |
 sed -e 's|</table>|&\
|g' |
 cat

exit
